--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Get a Human-readable representation of this Resource instance
- !ruby/struct:SM::Flow::VERB 
  body: "  Foo.new   #=&gt; #&lt;Foo name=nil updated_at=nil created_at=nil id=nil&gt;\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [String]"
- !ruby/struct:SM::Flow::VERB 
  body: "  Human-readable representation of this Resource instance\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Resource#inspect
is_singleton: false
name: inspect
params: ()
visibility: public
